package com.fs.wxcid.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.wxcid.domain.CidIpadServer;

import java.util.List;

/**
 * ipad服务器Service接口
 * 
 * @author fs
 * @date 2025-12-11
 */
public interface ICidIpadServerService extends IService<CidIpadServer>{
    /**
     * 查询ipad服务器
     * 
     * @param id ipad服务器主键
     * @return ipad服务器
     */
    CidIpadServer selectCidIpadServerById(Long id);

    /**
     * 查询ipad服务器列表
     * 
     * @param cidIpadServer ipad服务器
     * @return ipad服务器集合
     */
    List<CidIpadServer> selectCidIpadServerList(CidIpadServer cidIpadServer);

    /**
     * 新增ipad服务器
     * 
     * @param cidIpadServer ipad服务器
     * @return 结果
     */
    int insertCidIpadServer(CidIpadServer cidIpadServer);

    /**
     * 修改ipad服务器
     * 
     * @param cidIpadServer ipad服务器
     * @return 结果
     */
    int updateCidIpadServer(CidIpadServer cidIpadServer);

    /**
     * 批量删除ipad服务器
     * 
     * @param ids 需要删除的ipad服务器主键集合
     * @return 结果
     */
    int deleteCidIpadServerByIds(Long[] ids);

    /**
     * 删除ipad服务器信息
     * 
     * @param id ipad服务器主键
     * @return 结果
     */
    int deleteCidIpadServerById(Long id);

    Long selectQwIpadServerByAddressId(String addressId,Integer cidGroupNo);

    void subtractServer(Long serverId);
}
